/* State and Keywordgroupnames */
"Strings in Tags" = "Strings in Tags";
"Attributes in Tags" = "Attributes in Tags";
"Entities" = "Entities";
"Tags" = "Tags";
"Comment" = "<!-- Comment -->";
"CSS Strings in Tags" = "CSS Strings in Tags";
"CSS Attributes in Tags" = "CSS Attributes in Tags";
"CSS Begin and End" = "CSS Begin and End";
"Opening Script Tag" = "Javascript Begin and End";
"ERB Delimiter" = "<%ERB Delimiter%>";
"Ruby" = "Ruby Code";
"RubyOneLineERB" = "% one line Ruby";
"ERB Delimiter One Line" = "% at Start of Line";
"SGML Double Dash" = "Invalid SGML Comment Warning";
"CDATA" = "<![CDATA[...]]>";
"Doctype" = "<!Declaration>";
"Escape" = "<?Prologue?>";
"Style Tags" = "Style Tags";
"Opening Style Tag" = "Opening Style Tag";
"Script Tags" = "Script Tags";
"JSAutodocComment" = "/*\" Javascript Comment \"*/";
"JSComment" = "/* Javascript Comment */";
"JSSingleComment" = "// Javascript Comment";
"JSRegEx" = "Javascript Regular Expressions";
"JSString" = "\"Javascript Strings\"";
"JSSingleString" = "'Javascript Strings'";
"Inline Javascript" = "Inline Javascript";

"/XML/Tags" = "<xml> <img />";
"/XML/Strings in Tags" = "\"Strings in Tags\" 'Attribute Values'";
"/XML/Attributes in Tags" = "Attributes: id class style";
"/XML/Entities" = "&lt; &amp; &#123;";


"/Ruby/Literals" = "Literals";
"/Ruby/Attribute Definitions" = "Attribute Definitions";
"/Ruby/Definitions" = "Definitions";
"/Ruby/Keywords" = "Keywords";
"/Ruby/Builtin Functions" = "Builtin Functions";
"/Ruby/Builtin Globals" = "Builtin Globals";
"/Ruby/Builtin Classes" = "Builtin Classes";
"/Ruby/Symbols" = ":symbols";
"/Ruby/Numbers" = "Numbers";
"/Ruby/Instance Variables" = "Instance Variables";
"/Ruby/Class Variables" = "Class Variables";
"/Ruby/Global Variables" = "Global Variables";
"/Ruby/String with double quotes" = "\"Strings\"";
"/Ruby/test" = "#{Embedded expressions}";
"/Ruby/String with single quotes" = "'Strings'";
"/Ruby/Backticks" = "`Backticks`";
"Singleline Comment" = "# Comment";
"/Ruby/Singleline Comment" = "# Comment";
"/Ruby/Regexp" = "Regular expression";
"/Ruby/POD Comments" = "POD Comments";
"/Ruby/HTMLComment" = "<!-- comment -->";
"/Ruby/Hexadecimal Characters" = "Hexadecimal Characters";
"/Ruby/Interpolation" = "#{variable}";
"/Ruby/Heredoc" = ">>HEREDOC  >>\"_html_end_\"";
"/Ruby/Heredoc Indented End" = ">>-HEREDOC >>-\"html_end\"";
"/Ruby/Hexadecimal Characters" = "Hexadecimal Characters";
"/Ruby/Percent Strings"   = "%'Strings' %q|Strings| %Q!Strings!";
"/Ruby/Percent Strings {" = "%{Strings} %q{Strings} %Q{Strings}";
"/Ruby/Percent Strings (" = "%(Strings) %q(Strings) %Q(Strings)";
"/Ruby/Percent Strings <" = "%<Strings> %q<Strings> %Q<Strings>";
"/Ruby/Percent Strings [" = "%[Strings] %q{Strings} %Q{Strings}";
"/Ruby/Regular expression" = "/^[^:]+/";
"/Ruby/Percent Regex"   = "%r|\d+|  %x$\d+$  %x!\d+!";
"/Ruby/Percent Regex {" = "%r{\d+}";
"/Ruby/Percent Regex (" = "%r(\d+)";
"/Ruby/Percent Regex <" = "%r<\d+>";
"/Ruby/Percent Regex [" = "%r{\d+}";
"/Ruby/Percent Execution"   = "%x|ls -l|  %x$ls -l$  %x!ls -l!";
"/Ruby/Percent Execution {" = "%x{ls -l}";
"/Ruby/Percent Execution (" = "%x(ls -l)";
"/Ruby/Percent Execution <" = "%x<ls -l>";
"/Ruby/Percent Execution [" = "%x{ls -l}";
"/Ruby/Percent Symbol"   = "%s|Symbol S|	%s'Symbol S'  %s_Symbol S_";
"/Ruby/Percent Symbol {" = "%s{Symbol S}";
"/Ruby/Percent Symbol (" = "%s(Symbol S)";
"/Ruby/Percent Symbol <" = "%s<Symbol S>";
"/Ruby/Percent Symbol [" = "%s{Symbol S}";
"/Ruby/Percent Array"   = "%w|one two \\n| %W!one two \\n!";
"/Ruby/Percent Array {" = "%w{one two \\n} %W{one two \\n}";
"/Ruby/Percent Array (" = "%w(one two \\n) %W(one two \\n)";
"/Ruby/Percent Array <" = "%w<one two \\n> %W<one two \\n>";
"/Ruby/Percent Array [" = "%w{one two \\n} %W{one two \\n}";

"/Base/PrefixlessURLs" = "www.apple.com";
"/Base/Emails" = "steve@apple.com";
"/Base/URLs" = "see://another.com/document?id=123";

"/CSS/CSS Attributes" = "CSS Attributes";
"/CSS/CSS Keywords" = "CSS Keywords";
"CSS Digits" = "CSS: 12px 5em 3 110%";
"CSS Colors" = "CSS: #e8eef2 #555";
"Inside curly brackets" = "{CSS inside curly brackets}";
"CSSComment" = "/* CSS Comment */";
"CSSSingleComment" = "// CSS Comment";
"CSSRound bracket" = "(CSS inside parenthesis)";
"CSSString" = "\"CSS Strings\"";
"CSSSingleString" = "'CSS Strings'";
"Inline CSS" = "Inline CSS";
"/CSS/!important" = "CSS !important ! important";
"/CSS/Rules" = "@import @media";
"/CSS/CSS Digits" = "CSS Digits";
"/CSS/CSS Colors" = "CSS Colors";

"/Javascript/Keywords" = "JS: if else class new do while";
"/Javascript/Numbers" = "JS: 0 15 0x4a 0813 3.14";
"/Javascript/FunctionRegex" = "JS: Function Calls";




